%define major 1
%define libname %mklibname gavl %major
%define develname %mklibname gavl -d

Name:           gavl
Version:        1.4.0
Release:        %mkrel 3
Summary:        A library for handling uncompressed audio and video data
Group:          System/Libraries
License:        GPLv2+
URL:            http://gmerlin.sourceforge.net/
Source0:        http://downloads.sourceforge.net/gmerlin/gavl-%{version}.tar.gz
Patch1:         gavl-1.1.1-system_libgdither.patch
Patch2:		gavl-1.4.0-automake-1.13.patch
BuildRequires:  libtool
BuildRequires:  doxygen
BuildRequires:  libpng-devel >= 1.0.8
BuildRequires:  libgdither-devel

%description
Gavl is a library for handling and converting uncompressed audio and
video data. It provides datatypes for audio/video formats and standardized
structures to store the data. It supports converting between all formats.
Some conversion functions are available in multiple versions (MMX...),
which are selected by compile time configuration, CPU autodetection and
user options.

%package -n     %libname
Summary:        A library for handling uncompressed audio and video data
Group:          System/Libraries

%description -n %libname
Gavl is a library for handling and converting uncompressed audio and
video data. It provides datatypes for audio/video formats and standardized
structures to store the data. It supports converting between all formats.
Some conversion functions are available in multiple versions (MMX...),
which are selected by compile time configuration, CPU autodetection and
user options.

%package -n     %develname
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %develname
This package contains libraries and header files for developing applications
that use %{name}.

%prep
%setup -q
%patch1 -p1 -b .gdither
%patch2 -p1 -b .automake-1_13

# (Fedora) Disable buildtime cpu detection
sed -i -i 's/LQT_TRY_CFLAGS/dnl LQT_TRY_CFLAGS/g' configure.ac
sed -i -i 's/LQT_OPT_CFLAGS/dnl LQT_OPT_CFLAGS/g' configure.ac

%build
# (Fedora) Regenerate build tools
sh autogen.sh

%configure2_5x \
  --disable-static \
  --disable-cpu-clip \
  --enable-libgdither

%make

%install
%makeinstall_std mkdir_p="mkdir -p"

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# (Fedora) Prevent timestamps build difference
touch -r include/gavl/gavl.h %{buildroot}%{_includedir}/gavl/gavl_version.h

%files -n %libname
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{_libdir}/*.so.%{major}*

%files -n %develname
%defattr(-,root,root,-)
%doc %{_docdir}/gavl/apiref/
%{_includedir}/gavl/
%{_libdir}/*.so
%{_libdir}/pkgconfig/gavl.pc


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.4.0-3.mga3
+ Revision: 351075
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 cjw <cjw> 1.4.0-2.mga3
+ Revision: 338562
- patch2: fix build with automake 1.13

* Sun Jun 10 2012 fwang <fwang> 1.4.0-1.mga3
+ Revision: 259331
- use correct mkdir
- fix build
- new version 1.4.0

* Sun Jul 03 2011 ahmad <ahmad> 1.2.0-1.mga2
+ Revision: 117629
- Update to 1.2.0
- Use %%configure2_5x

* Thu Jun 09 2011 ahmad <ahmad> 1.1.2-1.mga2
+ Revision: 102145
- Adapt the spec to the Mageia packaging guide lines
- Fix the License tag
- imported package gavl

